Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 609468 - [abrt] crash in elfutils-0.148-1.fc13: raise: Process /usr/bin/eu-strings was killed by signal 6 (SIGABRT)
[abrt] crash in elfutils-0.148-1.fc13: raise: Process /usr/bin/eu-strings was...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: elfutils (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
abrt_hash:fd29fb06e58dae6be2da1e6a95d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-30 07:35 EDT by masami256
Modified: 2010-10-01 08:23 EDT (History)
2 users (show)

See Also:
Fixed In Version: elfutils-0.149-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-24 16:35:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.29 KB, text/plain)
2010-06-30 07:35 EDT, masami256
no flags Details

  None (edit)
Description masami256 2010-06-30 07:35:32 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/eu-strings
component: elfutils
crash_function: raise
executable: /usr/bin/eu-strings
global_uuid: fd29fb06e58dae6be2da1e6a95dc25dd39a7a4be
kernel: 2.6.33.5-124.fc13.x86_64
package: elfutils-0.148-1.fc13
rating: 4
reason: Process /usr/bin/eu-strings was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

comment
-----
If you do not give any arguments for eu-strings, it aborts.
Like this. #LANG=C meant I wanted to see English error message. It doesn't matter what you set to it.
[masami@moon]~/tmp% LANG=C eu-strings
eu-strings: strings.c:581: read_block: Assertion `(off64_t) min_len_bytes < fdlen' failed.
zsh: abort (core dumped)  LANG=C eu-strings

How to reproduce
-----
1.Run eu-strings with out any options.
Comment 1 masami256 2010-06-30 07:35:34 EDT
Created attachment 427959 [details]
File: backtrace
Comment 2 Roland McGrath 2010-06-30 14:58:26 EDT
Fixed upstream, commit b645803.
Comment 3 Fedora Update System 2010-09-13 20:09:22 EDT
elfutils-0.149-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/elfutils-0.149-1.fc14
Comment 4 Fedora Update System 2010-09-13 20:09:32 EDT
elfutils-0.149-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/elfutils-0.149-1.fc13
Comment 5 Fedora Update System 2010-09-13 20:09:46 EDT
elfutils-0.149-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/elfutils-0.149-1.fc12
Comment 6 Fedora Update System 2010-09-14 00:29:27 EDT
elfutils-0.149-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update elfutils'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/elfutils-0.149-1.fc14
Comment 7 masami256 2010-09-14 05:41:43 EDT
I confirmed that it was fixed. I leave +1 karma for this package.
Comment 8 Fedora Update System 2010-09-24 16:35:37 EDT
elfutils-0.149-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-10-01 08:22:57 EDT
elfutils-0.149-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.